## ros-humble-diagnostic-aggregator 3.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(diagnostic_aggregator)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(diagnostic_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/status_item.cpp
  src/analyzer_group.cpp
  src/aggregator.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${PROJECT_NAME}
  "diagnostic_msgs"
  "pluginlib"
  "rclcpp"
  "std_msgs"
)
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "DIAGNOSTIC_AGGREGATOR_BUILDING_DLL")

# see https://github.com/pybind/pybind11/commit/ba33b2fc798418c8c9dfe801c5b9023d3703f417
if(NOT WIN32)
  target_compile_options(${PROJECT_NAME} PRIVATE -Wdeprecated)
endif()

# prevent pluginlib from using boost
target_compile_definitions(${PROJECT_NAME} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

set(ANALYZERS "${PROJECT_NAME}_analyzers")
add_library(${ANALYZERS} SHARED
  src/generic_analyzer.cpp
  src/discard_analyzer.cpp
  src/ignore_analyzer.cpp)
target_include_directories(${ANALYZERS} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${ANALYZERS}
  "diagnostic_msgs"
  "pluginlib"
  "rclcpp"
  "std_msgs"
)
target_link_libraries(${ANALYZERS}
  ${PROJECT_NAME})
target_compile_definitions(${ANALYZERS}
  PRIVATE "DIAGNOSTIC_AGGREGATOR_BUILDING_DLL")

# prevent pluginlib from using boost
target_compile_definitions(${ANALYZERS} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

# Aggregator node
add_executable(aggregator_node src/aggregator_node.cpp)
target_link_libraries(aggregator_node
  ${PROJECT_NAME})

# Testing macro
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)

  file(TO_CMAKE_PATH "${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/aggregator_node" AGGREGATOR_NODE)
  file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/test_listener.py" TEST_LISTENER)
  set(create_analyzers_tests
    "primitive_analyzers"
    "all_analyzers"
    "analyzer_group")

  foreach(test_name ${create_analyzers_tests})
    file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/${test_name}.yaml" PARAMETER_FILE)
    file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/expected_output/create_${test_name}" EXPECTED_OUTPUT)

    configure_file(
      "test/create_analyzers.launch.py.in"
      "test_create_${test_name}.launch.py"
      @ONLY
    )
    add_launch_test(
      "${CMAKE_CURRENT_BINARY_DIR}/test_create_${test_name}.launch.py"
      TARGET "test_create_${test_name}"
      TIMEOUT 30
      ENV
    )
  endforeach()

  set(analyzers_output_tests
    "primitive_analyzers"
    "all_analyzers"
    "analyzer_group")

  foreach(test_name ${create_analyzers_tests})
    file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/${test_name}.yaml" PARAMETER_FILE)
    file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/expected_output/output_${test_name}" EXPECTED_OUTPUT)

    configure_file(
      "test/test_analyzers_output.launch.py.in"
      "test_output_${test_name}.launch.py"
      @ONLY
    )
    add_launch_test(
      "${CMAKE_CURRENT_BINARY_DIR}/test_output_${test_name}.launch.py"
      TARGET "test_output_${test_name}"
      TIMEOUT 30
      ENV
    )
  endforeach()
endif()

install(
  TARGETS aggregator_node
  DESTINATION lib/${PROJECT_NAME}
)

install(
  TARGETS ${PROJECT_NAME} ${ANALYZERS}
  EXPORT ${PROJECT_NAME}Targets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_python_install_package(${PROJECT_NAME})

# Install Example
set(ANALYZER_PARAMS_FILEPATH "${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/example_analyzers.yaml")
configure_file(example/example.launch.py.in example.launch.py @ONLY)
install( # launch descriptor
  FILES ${CMAKE_CURRENT_BINARY_DIR}/example.launch.py
  DESTINATION share/${PROJECT_NAME}
)
install( # example publisher
  PROGRAMS example/example_pub.py
  DESTINATION lib/${PROJECT_NAME}
)
install( # example aggregator configration
  FILES example/example_analyzers.yaml
  DESTINATION share/${PROJECT_NAME}
)

pluginlib_export_plugin_description_file(${PROJECT_NAME} plugin_description.xml)

ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)

ament_export_include_directories(include)
ament_export_dependencies(ament_cmake)
ament_export_dependencies(ament_cmake_python)
ament_export_dependencies(diagnostic_msgs)
ament_export_dependencies(pluginlib)
ament_export_dependencies(rclcpp)
ament_export_dependencies(rclpy)
ament_export_dependencies(std_msgs)

ament_package()

=== debian/changelog ===
ros-humble-diagnostic-aggregator (3.1.2-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Mar 2023 23:00:00 -0000

ros-humble-diagnostic-aggregator (3.1.1-1jammy) jammy; urgency=high

  * exporting dependency on pluginlib fixes #293 <https://github.com/ros/diagnostics/issues/293> (#294 <https://github.com/ros/diagnostics/issues/294>)
  * Secretly supporting galactic (#295 <https://github.com/ros/diagnostics/issues/295>)
  * Linting additional package (#268 <https://github.com/ros/diagnostics/issues/268>)
  * Fix code-analyser bug
  * Maintainer update
  * Contributors: Austin, Christian Henkel, Ralph Lange, Tim Clephas

 -- Austin Hendrix <namniart@gmail.com>  Wed, 15 Mar 2023 23:00:00 -0000

ros-humble-diagnostic-aggregator (3.1.0-1jammy) jammy; urgency=high

  * Merge of foxy and humble history into rolling for future maintenance from one branch only.
  * Adding READMEs to the repo (#270 <https://github.com/ros/diagnostics/issues/270>)
  * License fixes (#263 <https://github.com/ros/diagnostics/issues/263>)
  * Fix/cleanup ros1 (#257 <https://github.com/ros/diagnostics/issues/257>)
  * Use regex to search AnalyzerGroup
  * Contributors: Alberto Soragna, Austin, Christian Henkel, Keisuke Shima, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 25 Jan 2023 23:00:00 -0000

ros-humble-diagnostic-aggregator (3.0.0-1jammy) jammy; urgency=high

  * Use node clock for diagnostic_aggregator and diagnostic_updater (#210 <https://github.com/ros/diagnostics/issues/210>)
  * Contributors: Kenji Miyake

 -- Austin Hendrix <namniart@gmail.com>  Thu, 09 Jun 2022 22:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.3-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 22:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.2-1jammy) jammy; urgency=high

  * Adapt new launch file syntax. (#190 <https://github.com/ros/diagnostics/issues/190>)
  * Introduce history depth parameter for subscription. (#168 <https://github.com/ros/diagnostics/issues/168>)
  * Contributors: Karsten Knese, Ryohsuke Mitsudome

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Mar 2021 23:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.1-1jammy) jammy; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#180 <https://github.com/ros/diagnostics/issues/180>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 23:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.0-1jammy) jammy; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Fix installation of diagnostic aggregator example. (#159 <https://github.com/ros/diagnostics/issues/159>)
  * Restore alphabetical order. (#148 <https://github.com/ros/diagnostics/issues/148>)
  * Aggregator bugfix, tests, and nicer example. (#147 <https://github.com/ros/diagnostics/issues/147>)
  * Contributors: Arne Nordmann, Georg Bartels, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Mon, 11 Jan 2021 23:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.9-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 11 Nov 2022 23:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.8-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 22:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.7-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Mar 2021 23:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.6-1jammy) jammy; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#179 <https://github.com/ros/diagnostics/issues/179>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 23:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.5-1jammy) jammy; urgency=high

  * Set aggregator subscription history depth to 1000. (#174 <https://github.com/ros/diagnostics/issues/174>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Tue, 05 Jan 2021 23:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.4-1jammy) jammy; urgency=high

  * Fix installation of diagnostic aggregator example. (#159 <https://github.com/ros/diagnostics/issues/159>) (#160 <https://github.com/ros/diagnostics/issues/160>)
  * Contributors: Georg Bartels

 -- Austin Hendrix <namniart@gmail.com>  Tue, 04 Aug 2020 22:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.3-1jammy) jammy; urgency=high

  * restore alphabetical order (#148 <https://github.com/ros/diagnostics/issues/148>) (#150 <https://github.com/ros/diagnostics/issues/150>)
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * Fixes toplevel diagnostic status calculation (#149 <https://github.com/ros/diagnostics/issues/149>)
    See https://github.com/ros/diagnostics/issues/146
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
  * Contributors: Arne Nordmann, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Wed, 08 Jul 2020 22:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.2-1jammy) jammy; urgency=high

  * 2.0.2
  * Ros2 migrate diagnostic aggregator (#118 <https://github.com/ros/diagnostics/issues/118>)
    Co-authored-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    Co-authored-by: Robin Vanhove <mailto:1r0b1n0@gmail.com>
  * Contributors: Karsten Knese, Arne Nordmann, Robin Vanhove

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.1-1jammy) jammy; urgency=high

  * Ros2 migrate diagnostic aggregator (#118 <https://github.com/ros/diagnostics/issues/118>)
  * Contributors: Arne Nordmann, Robin Vanhove, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-diagnostic-aggregator (1.9.3-1jammy) jammy; urgency=high

  * Merge pull request #79 <https://github.com/ros/diagnostics/issues/79> from nlamprian/indigo-devel


=== debian/control ===
Source: ros-humble-diagnostic-aggregator
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-diagnostic-msgs, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-launch-testing-ros <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/diagnostic_aggregator
Standards-Version: 3.9.2

Package: ros-humble-diagnostic-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclpy, ros-humble-ros-workspace
Description: diagnostic_aggregator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-diagnostic-aggregator//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-diagnostic-aggregator 4.0.0

=== debian/changelog ===
ros-humble-diagnostic-aggregator (4.0.0-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Austin Hendrix <namniart@gmail.com>  Tue, 27 Aug 2024 08:56:49 -0000

ros-humble-diagnostic-aggregator (3.2.1-1bookworm) bookworm; urgency=high

  * Add add_analyzer functionality (#329 <https://github.com/ros/diagnostics/issues/329>) (#359 <https://github.com/ros/diagnostics/issues/359>)
  * Aggregator: publish diagnostics_toplevel_state immediately on every degradation (#324 <https://github.com/ros/diagnostics/issues/324>) (#355 <https://github.com/ros/diagnostics/issues/355>)
  * Contributors: Christian Henkel

 -- Austin Hendrix <namniart@gmail.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.2.0-1bookworm) bookworm; urgency=high

  * Avoid rolling up an ERROR state when empty GenericAnalyzer blocks are marked discard_stale, or when all of their items are STALE. (#315 <https://github.com/ros/diagnostics/issues/315>)
  * formatting fixes from PR324 (#327 <https://github.com/ros/diagnostics/issues/327>)
  * Debugging instability introduced by #317 <https://github.com/ros/diagnostics/issues/317>  (#323 <https://github.com/ros/diagnostics/issues/323>)
  * feat: publish top level msg when error is received (#317 <https://github.com/ros/diagnostics/issues/317>)
  * Empty default aggregator base_path (#305 <https://github.com/ros/diagnostics/issues/305>)
  * using defined state for stale (#298 <https://github.com/ros/diagnostics/issues/298>)
  * Contributors: Andrew Symington, Christian Henkel, outrider-jhulas

 -- Austin Hendrix <namniart@gmail.com>  Thu, 21 Mar 2024 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.1.2-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Mar 2023 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.1.1-1bookworm) bookworm; urgency=high

  * exporting dependency on pluginlib fixes #293 <https://github.com/ros/diagnostics/issues/293> (#294 <https://github.com/ros/diagnostics/issues/294>)
  * Secretly supporting galactic (#295 <https://github.com/ros/diagnostics/issues/295>)
  * Linting additional package (#268 <https://github.com/ros/diagnostics/issues/268>)
  * Fix code-analyser bug
  * Maintainer update
  * Contributors: Austin, Christian Henkel, Ralph Lange, Tim Clephas

 -- Austin Hendrix <namniart@gmail.com>  Wed, 15 Mar 2023 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.1.0-1bookworm) bookworm; urgency=high

  * Merge of foxy and humble history into rolling for future maintenance from one branch only.
  * Adding READMEs to the repo (#270 <https://github.com/ros/diagnostics/issues/270>)
  * License fixes (#263 <https://github.com/ros/diagnostics/issues/263>)
  * Fix/cleanup ros1 (#257 <https://github.com/ros/diagnostics/issues/257>)
  * Use regex to search AnalyzerGroup
  * Contributors: Alberto Soragna, Austin, Christian Henkel, Keisuke Shima, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 25 Jan 2023 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.0.0-1bookworm) bookworm; urgency=high

  * Use node clock for diagnostic_aggregator and diagnostic_updater (#210 <https://github.com/ros/diagnostics/issues/210>)
  * Contributors: Kenji Miyake

 -- Austin Hendrix <namniart@gmail.com>  Thu, 09 Jun 2022 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.3-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.2-1bookworm) bookworm; urgency=high

  * Adapt new launch file syntax. (#190 <https://github.com/ros/diagnostics/issues/190>)
  * Introduce history depth parameter for subscription. (#168 <https://github.com/ros/diagnostics/issues/168>)
  * Contributors: Karsten Knese, Ryohsuke Mitsudome

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Mar 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.1-1bookworm) bookworm; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#180 <https://github.com/ros/diagnostics/issues/180>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.0-1bookworm) bookworm; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Fix installation of diagnostic aggregator example. (#159 <https://github.com/ros/diagnostics/issues/159>)
  * Restore alphabetical order. (#148 <https://github.com/ros/diagnostics/issues/148>)
  * Aggregator bugfix, tests, and nicer example. (#147 <https://github.com/ros/diagnostics/issues/147>)
  * Contributors: Arne Nordmann, Georg Bartels, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Mon, 11 Jan 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.9-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 11 Nov 2022 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.8-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.7-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Mar 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.6-1bookworm) bookworm; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#179 <https://github.com/ros/diagnostics/issues/179>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.5-1bookworm) bookworm; urgency=high

  * Set aggregator subscription history depth to 1000. (#174 <https://github.com/ros/diagnostics/issues/174>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Tue, 05 Jan 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.4-1bookworm) bookworm; urgency=high



=== debian/control ===
Source: ros-humble-diagnostic-aggregator
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-diagnostic-msgs, ros-humble-launch-pytest <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-launch-testing-ros <!nocheck>, ros-humble-pluginlib, ros-humble-rcl-interfaces, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/diagnostic_aggregator
Standards-Version: 3.9.2

Package: ros-humble-diagnostic-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclpy, ros-humble-ros-workspace
Description: diagnostic_aggregator

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-diagnostic-aggregator//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-diagnostic-aggregator//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-diagnostic-aggregator//opt/ros/humble/opt/diagnostic_aggregator/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
